Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.feedhenry.sdk
Interface FHAct

All Known Implementing Classes:
  FHActRequest, FHAuthRequest, FHCloudRequest, FHRemote

    public interface FHAct

Representing a request call to FeedHenry. All the requests are executed on a background thread so that the main UI thread does not freeze. The callback function will be executed on the main UI thread.

Method Summary
`void` | `executeAsync()` Execute the request asynchronously.
`void` | `executeAsync(FHActCallback pCallback)` Execute the request asynchronously.
`void` | `setCallback(FHActCallback pCallback)` Set the callback function to be executed when the action is finished.
`void` | `setUDID(java.lang.String pUDID)` Set the client unique id (device id) for the request

Method Detail

### setCallback

    void setCallback(FHActCallback pCallback)

  Set the callback function to be executed when the action is finished.

  Parameters:
    `pCallback` - the callback function

### executeAsync

    void executeAsync()
                      throws java.lang.Exception

  Execute the request asynchronously. Execute the callback function set by `setCallback(FHActCallback pCallback)` when the request finishes.

  Throws:
    `java.lang.Exception`

### executeAsync

    void executeAsync(FHActCallback pCallback)
                      throws java.lang.Exception

  Execute the request asynchronously. Execute the pCallback function when it finishes.

  Parameters:
    `pCallback` - the callback function
  Throws:
    `java.lang.Exception`

### setUDID

    void setUDID(java.lang.String pUDID)

  Set the client unique id (device id) for the request

  Parameters:
    `pUDID` - the unique device id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD